> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the SP metadata file for SAML configuration

> Returns the Service Provider metadata file of this cluster, for SAML
configuration. If this cluster has a SAML signing key, the public key is
included in the SPSSODescriptor.

## OpenAPI

````json GET /saml/metadata.xml
{
  "openapi": "3.0.0",
  "info": {
    "title": "Fortanix DSM REST API",
    "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients.",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "0.1.0-20260526"
  },
  "servers": [
    {
      "url": "https://amer.smartkey.io"
    }
  ],
  "paths": {
    "/saml/metadata.xml": {
      "get": {
        "operationId": "SamlSpMetadata",
        "tags": [
          "Misc"
        ],
        "summary": "Get the SP metadata file for SAML configuration",
        "description": "Returns the Service Provider metadata file of this cluster, for SAML\nconfiguration. If this cluster has a SAML signing key, the public key is\nincluded in the SPSSODescriptor.",
        "responses": {
          "2XX": {
            "description": "Success result",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "integer",
                    "minimum": 0,
                    "maximum": 255
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
````

